<style>
	* {
		font-size: 12px;
		font-style: normal;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}

	.tags {
		margin-bottom: 4px;
		margin-top: 4px;
	} 

	.tags .tag {
		margin-top: 1px;
		display: inline-block;
		margin-right: 4px;		
		font-size: 11px;
	}

	.tag .close {
		margin-top: 1px;
		font-size: 11px;
		margin-left: 4px; 
	}

	.tooltip {
		font-style: normal; 
		position: absolute;
		z-index: 1030;
		display: block;
		visibility: visible;
		font-size: 12px;
		line-height: 1.4;
		opacity: 0;
		filter: alpha(opacity=0);
	}
	.tooltip.in {
		opacity: 0.9;
		filter: alpha(opacity=90);
	}
	.tooltip.top {
		margin-top: -3px;
		padding: 5px 0;
	}	

	.tooltip-inner {
		font-size: 11px;
		font-style: normal; 
		max-width: 500px;
		padding: 3px 8px;
		text-align: justify;
		text-decoration: none;
		background-color: #ffffff;
		color: #333333;
		border-radius: 2px;
		webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
		box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
	}	
</style>
<script>
	$(document).ready(function () {
		$('[data-toggle="tooltip"]').tooltip();

		$(".tag").on('DOMNodeInserted', function () {
			$('[data-toggle="tooltip"]').tooltip();
		});

		$('[data-toggle="tooltip"]').tooltip();

	});

	$(function () {
		$("#accordion").accordion({
			heightStyle: "content"
		});
	});
</script>
<div class="panel">
    <div class="panel-body">
		<div id="accordion">
			<h3><i class="padding-sm-hr fa fa-search-plus"></i><b>Buscar Actividades</b></h3>
			<div>
				<div class="row">
					<div class="col-md-12">	
						<div class="row " id="encabezado">
							<div class="col-md-6"><h5><b>Área de Actividad: </b>{{area}}<br><b>Tipo: </b>{{tipo}} <br><b>Vocación: </b>{{vocacion}}  <br><span ng-if = "direccion !== null"><b>Direccion:</b> {{direccion}} <br><b>Número Predial Nacional: </b>{{npn}}<br></span><span ng-if = "comuna !== null"><b>Comuna:</b> {{comuna}} <br><b>Barrio: </b>{{barrio}}</span><span ng-if = "vereda !== null"><b>Vereda: </b> {{vereda}} <br><b>Corregimiento: </b>{{corregimiento}}</span><br></h5></div> 
							<div class="col-md-6"><h5><b>Dirección IP: </b>{{ip}}<br><b>Fecha Consulta: </b>{{fecha}}<br><div id="codigo"><b>Código: </b>{{codigo}} - <i class="plg-npn-info" data-toggle="tooltip" data-placement="bottom" title="El código de validación es un código de seguridad único asignado a la consulta actual, el cual nos permite validar posteriormente que la información que se mostró en ese momento es la misma que el usuario consulto."><b>Por favor guarde este código para validaciones posteriores</b></i></div><hr><b>CIIU:</B> Clasificación Industrial Internacional Uniforme de todas las Actividades Económicas (CIIU)&nbsp;<a target="_blank" href="http://idesc.cali.gov.co/download/pot_2014/ciiu_rev_4_a_c.pdf" title="Listado completo de todas las actividades ecónomicas"><i class="fa fa-file-pdf-o"></i></a></b>
									<span ng-if = "url !== null">
										<!--b>Anexo: </b>&nbsp;Ver PDF<span ng-repeat="url in urls" ng-if = "url.anexo !== null"><a target="_blank" href="{{url.anexo}}" title="Ver Anexo {{url.anexo}}">&nbsp;<i class="fa fa-file-pdf-o"></i></a></span><br>
										<b>Norma: </b>&nbsp;Ver PDF<span ng-repeat="url in urls" ng-if = "url.norma !== null"><a target="_blank" href="{{url.norma}}" title="Ver Norma {{url.norma}}">&nbsp;<i class="fa fa-file-pdf-o"></i></a></span><br-->
										<span ng-repeat="url in urls" ng-if = "url.resolucion !== null"><br><b>Resolución: </b>&nbsp;Ver PDF<a target="_blank" href="{{url.resolucion}}" title="Ver Resolución {{url.resolucion}}">&nbsp;<i class="fa fa-file-pdf-o"></i></a></span><br>										
									</span>
							</div>
						</div> 

						<h4>Buscar Actividades</h4>					
						<div class="row">
							<div class="col-md-12"> 
								<tag-manager tags="tags" autocomplete="allTags" request="request" codigo="codigo" fecha="fecha"></tag-manager>
								<hr>
								<div id="listadoseleccionado">
									<h4>Actividades Seleccionadas</h4>													
									<ul class="list-unstyled">
										<li ng-repeat="tag in tags"><hr><b>{{tag.codCiiu}} - {{tag.nombreCiiu}}</b><span ng-if = "tag.nombreConvencion === 'Permitido'"> - <span class="text-success"> {{ tag.nombreConvencion}} <i class="text-success fa fa-check"></i></span></span><span ng-if = "tag.nombreConvencion === 'No Permitido'"> - <span class="text-danger">{{ tag.nombreConvencion}} <i class="text-danger fa fa fa-ban"></i></span></span><span ng-if = "tag.nombreConvencion === 'Eir'"> - <i class="plg-npn-info text-warning" data-toggle="tooltip" data-placement="right" title="Sujeto a Formulación de Esquema de Implantación y Regularización, debe acercarse a la ventanilla del cam para hacer la respectiva solicitud.">{{ tag.nombreConvencion | uppercase }} <i class="text-warning fa fa fa-exclamation-triangle"></i></i></span><ul><span ng-if = "tag.respuesta" ng-bind-html="tag.respuesta"></span>
												<span ng-if = "tag.condicion"><br>{{tag.condicion}}</span></ul></li>
									</ul>
								</div>
							</div>
						</div>						
					</div>
				</div>
				<span ng-if="npn != 'SIN INFORMACION PREDIAL' && tags.length > 0">
					<button class="btn btn-outline btn-labeled btn-primary" id="botonimprimirpantalla" ng-click="imprimirPantalla();" ><span class="btn-label icon fa fa-file-pdf-o"></span>Imprimir Búsqueda</button>
				</span>	
				<!--/row-->	 
			</div>
			<h3><i class="padding-sm-hr fa  page-header-icon fa-building-o"></i><b>Listado de todas las Actividades Permititdas</b></h3>
			<div>
				<div class="table-primary">
					<table cellpadding="0" cellspacing="0" border="0" class="table-hover table table-bordered" width="100%" role="grid">
						<thead>
							<tr>
								<th ng-repeat="header in headers track by $index" class="ui-state-default" style="width: {{header.width}}">
									<input type="text" ng-change="actualizarDatos()" ng-model="headers[$index].value" class="form-control input-sm" placeholder="{{header.title}}" style="width: 100%;"  ng-if="header.input !== false && !header.options" ng-model-options='{debounce: 2000}'>
									<select ng-change="actualizarDatos()" ng-model="headers[$index].value" class="form-control input-sm" ng-options="option.value as option.name for option in header.options" ng-if="header.input !== false && header.options">
										<option value=""></option>
									</select>
								</th> 
							</tr>
							<tr role="row">
								<th ng-repeat="header in headers" class="ui-state-default {{header.sorting}} {{header.header_align}}" style="width: {{header.width}}">
									{{header.title}}
								</th>
							</tr>
						</thead>
						<tbody>
							<tr  class="odd" style="font-weight: bold;" ng-repeat="row in data" ng-class="{'danger': row[rowWarning] === false}">
								<td ng-repeat="header in headers" class="{{header.body_align}}">

									<!--Acciones-->
									<span ng-if="header.values" >
										<span ng-if="value['link']" ng-repeat="value in header.values" ng-bind-html="'<a href=\'' + value['link'] + row['id'] + '\' >' + value['icon'] + ' </a>'"></span>
										<span ng-if="row['ruta'] && !value['link']" ng-repeat="value in header.values" ng-bind-html="'<a href=\'#!' + row['ruta'] + row['id'] + '\' >' + value['icon'] + ' </a>'"></span>
									</span>

									<!--Opciones dependientes de valores-->
									<span ng-if="header.options" >
										<span ng-repeat="option in header.options" ng-bind-html="option['link']" ng-if="option['value'] == row[option['nameValidate']]"></span>
									</span>

									<!-- Valor de Text-->
									<span ng-if="header.type === 'text'" ng-bind-html="row[header.name]">
									</span>

									<!-- Valor de Link-->
									<span ng-if="header.type === 'link'">
										<a href="{{header.link}}{{row[header.name]}}" target="_blank">{{row[header.name]}}</a>                                
									</span>

									<!-- Valor de Objeto Fecha-->
									<span ng-if="header.type === 'date'">
										{{row[header.name].timestamp * 1000| date:'yyyy-MM-dd HH:mm:ss'}}
									</span>
								</td>
							</tr>
						</tbody>
						<tfoot>
						<td colspan="10" class="currency">
						<uib-pagination ng-model="currentPage" first-text="Primero" previous-text="Anterior" next-text="Siguiente" last-text="Último" total-items="totalItems" items-per-page="numPerPage" max-size="maxSize" boundary-links="true" ng-click="actualizarDatos()"></uib-pagination>

						<span ng-if="npn != 'SIN INFORMACION PREDIAL'">
							<ul class="pagination">
								<li>
									<a href="" ng-click="imprimir();" class="ng-binding btn-outline btn-labeled btn-primary">Imprimir Listado &nbsp;<i class="fa fa-file-pdf-o"></i></a>
								</li>
							</ul>
						</span>
						</td>
						</tfoot>
					</table>
					<div ng-if="data.length == 0" align="right">No se encontrarón resultados</div>			
				</div>
			</div>	
		</div>
	</div>
</div>
<div class="overlap_espera_2"><i class="fa fa-gear fa-spin fa-2x"></i></div>
<!-- Template -->																			